Search for source

  1. Search 7.x for source
  2. Search 9.5.x for source
  3. Search 8.9.x for source
  4. Search 10.3.x for source
  5. Search 11.x for source
  6. Other projects
Title Object type File name Summary
EntityFormDisplayResourceTestBase::getExpectedNormalizedEntity function core/tests/Drupal/FunctionalTests/Rest/EntityFormDisplayResourceTestBase.php Returns the expected normalization of the entity.
EntityFormDisplayResourceTestBase::getExpectedUnauthorizedAccessMessage function core/tests/Drupal/FunctionalTests/Rest/EntityFormDisplayResourceTestBase.php Return the expected error message.
EntityFormDisplayResourceTestBase::getNormalizedPostEntity function core/tests/Drupal/FunctionalTests/Rest/EntityFormDisplayResourceTestBase.php Returns the normalized POST entity.
EntityFormDisplayResourceTestBase::setUpAuthorization function core/tests/Drupal/FunctionalTests/Rest/EntityFormDisplayResourceTestBase.php Sets up the necessary authorization.
EntityFormDisplayTest::$resourceTypeName property core/modules/jsonapi/tests/src/Functional/EntityFormDisplayTest.php The name of the tested JSON:API resource type.
EntityFormModeResourceTestBase class core/tests/Drupal/FunctionalTests/Rest/EntityFormModeResourceTestBase.php Resource test base for the entity_form_mode entity.
EntityFormModeResourceTestBase.php file core/tests/Drupal/FunctionalTests/Rest/EntityFormModeResourceTestBase.php
EntityFormModeResourceTestBase::$entity property core/tests/Drupal/FunctionalTests/Rest/EntityFormModeResourceTestBase.php
EntityFormModeResourceTestBase::$entityTypeId property core/tests/Drupal/FunctionalTests/Rest/EntityFormModeResourceTestBase.php The tested entity type.
EntityFormModeResourceTestBase::$modules property core/tests/Drupal/FunctionalTests/Rest/EntityFormModeResourceTestBase.php @todo Remove 'field_ui' when https://www.drupal.org/node/2867266.
EntityFormModeResourceTestBase::createEntity function core/tests/Drupal/FunctionalTests/Rest/EntityFormModeResourceTestBase.php Creates the entity to be tested.
EntityFormModeResourceTestBase::getExpectedNormalizedEntity function core/tests/Drupal/FunctionalTests/Rest/EntityFormModeResourceTestBase.php Returns the expected normalization of the entity.
EntityFormModeResourceTestBase::getNormalizedPostEntity function core/tests/Drupal/FunctionalTests/Rest/EntityFormModeResourceTestBase.php Returns the normalized POST entity.
EntityFormModeResourceTestBase::setUpAuthorization function core/tests/Drupal/FunctionalTests/Rest/EntityFormModeResourceTestBase.php Sets up the necessary authorization.
EntityFormModeTest::$resourceTypeName property core/modules/jsonapi/tests/src/Functional/EntityFormModeTest.php The name of the tested JSON:API resource type.
EntityReferenceFieldNormalizer::hasNonInternalResourceType function core/modules/jsonapi/src/Normalizer/EntityReferenceFieldNormalizer.php Determines if a given list of resource types contains a non-internal type.
EntityResource class core/modules/jsonapi/src/Controller/EntityResource.php Process all entity requests.
EntityResource class core/modules/rest/src/Plugin/rest/resource/EntityResource.php Represents entities as resources.
EntityResource.php file core/modules/rest/src/Plugin/rest/resource/EntityResource.php
EntityResource.php file core/modules/jsonapi/src/Controller/EntityResource.php
EntityResource::$configFactory property core/modules/rest/src/Plugin/rest/resource/EntityResource.php The config factory.
EntityResource::$entityType property core/modules/rest/src/Plugin/rest/resource/EntityResource.php The entity type targeted by this resource.
EntityResource::$linkRelationTypeManager property core/modules/rest/src/Plugin/rest/resource/EntityResource.php The link relation type manager used to create HTTP header links.
EntityResource::addLinkHeaders function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Adds link headers to a response.
EntityResource::addToRelationshipData function core/modules/jsonapi/src/Controller/EntityResource.php Adds a relationship to a to-many relationship.
EntityResource::availableMethods function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Returns the available HTTP request methods on this plugin.
EntityResource::buildWrappedResponse function core/modules/jsonapi/src/Controller/EntityResource.php Builds a response with the appropriate wrapped document.
EntityResource::calculateDependencies function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Calculates dependencies for the configured plugin.
EntityResource::checkPatchFieldAccess function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Checks whether the given field should be PATCHed.
EntityResource::checkPatchFieldAccess function core/modules/jsonapi/src/Controller/EntityResource.php Checks whether the given field should be PATCHed.
EntityResource::create function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Instantiates a new instance of the implementing class using autowiring.
EntityResource::createIndividual function core/modules/jsonapi/src/Controller/EntityResource.php Creates an individual entity.
EntityResource::delete function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Responds to entity DELETE requests.
EntityResource::deleteIndividual function core/modules/jsonapi/src/Controller/EntityResource.php Deletes an individual entity.
EntityResource::deserialize function core/modules/jsonapi/src/Controller/EntityResource.php Deserializes a request body, if any.
EntityResource::doPatchIndividualRelationship function core/modules/jsonapi/src/Controller/EntityResource.php Update a to-one relationship.
EntityResource::doPatchMultipleRelationship function core/modules/jsonapi/src/Controller/EntityResource.php Update a to-many relationship.
EntityResource::entityExists function core/modules/jsonapi/src/Controller/EntityResource.php Checks if the given entity exists.
EntityResource::executeQueryInRenderContext function core/modules/jsonapi/src/Controller/EntityResource.php Executes the query in a render context, to catch bubbled cacheability.
EntityResource::generateFallbackAccessDeniedMessage function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Generates a fallback access denied message, when no specific reason is set.
EntityResource::get function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Responds to entity GET requests.
EntityResource::getBaseRoute function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Gets the base route for a particular method.
EntityResource::getCollection function core/modules/jsonapi/src/Controller/EntityResource.php Gets the collection of entities.
EntityResource::getCollectionCountQuery function core/modules/jsonapi/src/Controller/EntityResource.php Gets a basic query for a collection count.
EntityResource::getCollectionQuery function core/modules/jsonapi/src/Controller/EntityResource.php Gets a basic query for a collection.
EntityResource::getEntityFromResourceIdentifier function core/modules/jsonapi/src/Controller/EntityResource.php Loads the entity targeted by a resource identifier.
EntityResource::getIncludes function core/modules/jsonapi/src/Controller/EntityResource.php Gets includes for the given response data.
EntityResource::getIndividual function core/modules/jsonapi/src/Controller/EntityResource.php Gets the individual entity.
EntityResource::getJsonApiParams function core/modules/jsonapi/src/Controller/EntityResource.php Extracts JSON:API query parameters from the request.
EntityResource::getPagerLinks function core/modules/jsonapi/src/Controller/EntityResource.php Get the pager links for a given request object.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.